Description

In our applications a wrong Minimal polinomial can be detected (we proved that if wrong, the degree is too low).

So we can make use of MinPolyQuotHeuristic which does not perform the expensive verification step.

2018-03-05 update: there are different situations

Fp: algorithm gives exact answer, so Heuristic makes no sense

QQ: two types of probems in modular reconstruction

(1) some coefficient is reconstructed wrongly, then the evaluation is not in the ideal and we can detect the error a posteriori

(2) the polynomial reconstruction is a strict submultiple, we cannot detect this a posteriori (except by actually evaluating)

Both cases are extremely rare, and it is annoying we need this verification step...

2018-03 MinPolyQuot takes a verification level instead of being called MinPolyQuotHeuristic

History

#1 - 05 Mar 2018 09:14 - Anna Maria Bigatti

- Description updated

- Status changed from New to In Progress

- % Done changed from 0 to 20

#2 - 05 Mar 2018 09:40 - Anna Maria Bigatti

Added error if CoeffRing is not QQ.

#3 - 02 Aug 2018 16:42 - Anna Maria Bigatti

- Subject changed from New function: MinPolyQuotHeuristic to New function: MinPolyQuotHeuristic --> MinPolyQuot with VerificationLevel

- Description updated

- Status changed from In Progress to Closed

- % Done changed from 20 to 100
